> For the complete documentation index, see [llms.txt](https://docs.delegate.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke.md).

# Delegate/Revoke

The standard functions that are used in the below subpages explain how to initiate transactions. However, if you want to save the transaction data to be called later, you can do so with the following functions.&#x20;

This is also useful if you'd like to do a `multicall`.

```typescript
import { 
    rawDelegateAll, 
    rawDelegateContract, 
    rawDelegateERC721, 
    rawDelegateERC1155,
    rawDelegateERC20,
    rawMulticall
} from "@delegatexyz/sdk";
```

Their usage is the same, however it is not asynchronous.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
